summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMathy Vanvoorden <mathy@vanvoorden.be>2018-12-08 23:15:39 +0100
committerAmy Liffey <amynka@gentoo.org>2019-01-02 22:48:54 +0100
commit719c5d075421fd900c3ca5423f7070a996255048 (patch)
tree776b7be78b39ae1b16594195f7d4c930365fc8e3 /media-gfx
parentdev-python/uranium: version bump to 3.6.0 (diff)
downloadgentoo-719c5d075421fd900c3ca5423f7070a996255048.tar.gz
gentoo-719c5d075421fd900c3ca5423f7070a996255048.tar.bz2
gentoo-719c5d075421fd900c3ca5423f7070a996255048.zip
media-gfx/curaengine: version bump to 3.6.0
Signed-off-by: Mathy Vanvoorden <mathy@vanvoorden.be> Signed-off-by: Amy Liffey <amynka@gentoo.org> Package-Manager: Portage[mgorny]-2.3.51.1
Diffstat (limited to 'media-gfx')
-rw-r--r--media-gfx/curaengine/Manifest1
-rw-r--r--media-gfx/curaengine/curaengine-3.6.0.ebuild43
2 files changed, 44 insertions, 0 deletions
diff --git a/media-gfx/curaengine/Manifest b/media-gfx/curaengine/Manifest
index 376b5414798..964c502d65f 100644
--- a/media-gfx/curaengine/Manifest
+++ b/media-gfx/curaengine/Manifest
@@ -1,2 +1,3 @@
DIST curaengine-3.3.0.tar.gz 935367 BLAKE2B c02fa8ac5d79f6506dad91967f46add0b22b585cfb9931d67e34a033a59ba828722782f7fcf590ef45aa645b3c5dcb92416dbb5ef321fd5bf19935b2b5f1d4e7 SHA512 14b1961c90ec8ecad6fadfb992b72a4e05f3fa6c9a7b580812f90410c655db9d5798d46aa17311c216631daae1c21f6255c6fc4a0d903a91091e0a7a63642f70
DIST curaengine-3.4.1.tar.gz 949312 BLAKE2B 4902575c40002ab49e3ef13c94c8531b6975ff62e58012dc48744e2d27e9d1767e8f7768250179a374ed24da5a5e2085e9c194068ad6ffb98fff0595a314f7b0 SHA512 51c75e299ef7728101a4c61aa033c9b07112b0955d2ec72ba6173684513ed3c503a744fab487efe2c19da01eb97bd1297b5b8724b4f767639c8e82eefcdd01be
+DIST curaengine-3.6.0.tar.gz 1390109 BLAKE2B a0a6b8016bb5fa2f772634a671fc391df45875fc36cdf100f00ce34b9d5495f32986c473b1ba4c184cb77e50a64e2648c5d4f31053790182e657b0c981e1412c SHA512 340dad4c697fb0d7b633091715a904ae7df8973626e217ae2528d0121723c07a6cf0bbc740b9ad9980f3b288fa690c9c3ee43d90914264855dace007bbb334c8
diff --git a/media-gfx/curaengine/curaengine-3.6.0.ebuild b/media-gfx/curaengine/curaengine-3.6.0.ebuild
new file mode 100644
index 00000000000..00cac9e508c
--- /dev/null
+++ b/media-gfx/curaengine/curaengine-3.6.0.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit cmake-utils
+
+MY_PN="CuraEngine"
+
+DESCRIPTION="A 3D model slicing engine for 3D printing"
+HOMEPAGE="https://github.com/Ultimaker/CuraEngine"
+SRC_URI="https://github.com/Ultimaker/${MY_PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="AGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc test"
+
+RDEPEND="${PYTHON_DEPS}
+ ~dev-libs/libarcus-${PV}:*
+ dev-libs/protobuf
+ dev-libs/stb"
+DEPEND="${RDEPEND}
+ doc? ( app-doc/doxygen )"
+
+DOCS=( README.md )
+
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+src_configure() {
+ local mycmakeargs=( "-DBUILD_TESTS=$(usex test ON OFF)" )
+ cmake-utils_src_configure
+}
+
+src_compile() {
+ cmake-utils_src_make
+ if use doc; then
+ doxygen
+ mv docs/html . || die
+ find html -name '*.md5' -or -name '*.map' -delete || die
+ DOCS+=( html )
+ fi
+}